org.bouncycastle.asn1.x509

## Class CertPolicyId

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.ASN1Object
      - - org.bouncycastle.asn1.DERObjectIdentifier
        - - org.bouncycastle.asn1.x509.CertPolicyId

All Implemented Interfaces:
  DEREncodable, DERTags

    public class CertPolicyId
    extends DERObjectIdentifier

CertPolicyId, used in the CertificatePolicies and PolicyMappings X509V3 Extensions.

         CertPolicyId ::= OBJECT IDENTIFIER

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`CertPolicyId(java.lang.String id)`

### Method Summary

### Methods inherited from class org.bouncycastle.asn1.DERObjectIdentifier

`getId, getInstance, getInstance, hashCode, toString`

### Methods inherited from class org.bouncycastle.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CertPolicyId

    public CertPolicyId(java.lang.String id)